#include <stdio.h>

int main() {
	char arr[9] = {127, -128, 50, -60, 0, 100, -20, 75, -90}; // пример массива
	int i;
	for (i = 0; i < 9; i++) {
		if (arr[i] < 0) { // если число отрицательное
			arr[i] >>= 2; // сдвигаем арифметически вправо на 2 разряда
		} else { // если число положительное
			arr[i] &= ~(1 << 4); // сбрасываем бит 4
			arr[i] &= ~(1 << 0); // сбрасываем бит 0
			}
	printf("%d ", arr[i]); // выводим элемент массива
	}
	return 0;
}
